Contrail

IMPORTANT MODERATION NOTICE

This community is currently under full moderation, meaning  all posts will be reviewed before appearing in the community. Please expect a brief delay—there is no need to post multiple times. If your post is rejected, you'll receive an email outlining the reason(s). We've implemented full moderation to control spam. Thank you for your patience and participation.



Expand all | Collapse all

Installation docker version

  • 1.  Installation docker version

    Posted 05-08-2021 08:57
    Hi, I'm about the install contrail again and note that the installation  instructions for the contrail 2011 version describe using an older docker version of docker than the installation instructions for the contrail 1911 version.

    0. Is this intentional? Is there a reason for using an older docker with the latest contrail?

    1. Is there a matrix that shows the software that is compatible with contrail v2011?
    2. If possible, we would like to use more recent version of docker and other software with contrail (I'm going to install docker-ce-18.09.1)
    3. Are there instructions on how to upgrade docker and other software after contrail is installed?
    4. At times we find some of the contrail components fail, is there a guide on how to restart the contrail services? (e.g. analytics and authentication server)

    5. I just finished provisioning 2011.L1.297 and the contrail command went to the login screen. I tried to login and I received a message that the authentication server might be down.  Is this expected? Ideas on what I should do are welcome.

    thank you
    Mark Gregory


  • 2.  RE: Installation docker version

     
    Posted 05-08-2021 23:50
    Hi Mark,

    PFE my responses

    0. Is this intentional? Is there a reason for using an older docker with the latest contrail?
    [ASHISH] Both the Versions are qualified with Docker version: 18.03.1-ce, This information is captured in the release notes of the respective versions.
    Where did you find the older versions of docker that you are highlighting ?

    1. Is there a matrix that shows the software that is compatible with contrail v2011?
    [ASHISH] https://www.juniper.net/documentation/en_US/contrail20/information-products/topic-collections/release-notes/contrail-release-notes-2011.pdf
    Look for Section Table1: SupportedPlatforms

    2. If possible, we would like to use more recent version of docker and other software with contrail (I'm going to install docker-ce-18.09.1)
    [ASHISH] It is always advisable to stick to the docker version as per the release notes to avoid issues.

    3. Are there instructions on how to upgrade docker and other software after contrail is installed?
    [ASHISH] As highlighted in my previous responses it is always better to use and stay on the docker version as per the supported platforms section. And hence instructions to upgrade of docker is not part of contrail docs.

    4. At times we find some of the contrail components fail, is there a guide on how to restart the contrail services? (e.g. analytics and authentication server)
    [ASHISH] Here is a link to monitoring and troubleshooting guide.  Which is a good starting point.
    https://www.juniper.net/documentation/en_US/contrail20/information-products/pathway-pages/contrail-analytics-troubleshooting-guide.html
    You can use docker restart <container_name> to restart contrail services.

    5. I just finished provisioning 2011.L1.297 and the contrail command went to the login screen. I tried to login and I received a message that the authentication server might be down. Is this expected? Ideas on what I should do are welcome.
    [ASHISH] This is not expected!!! Was the installation competed without any errors ? Is your keystone services healthy ?

    ------------------------------
    Ashish Paul
    ------------------------------



  • 3.  RE: Installation docker version

    Posted 05-09-2021 00:25
    Hi Ashish,

    thank you for your response.

    0. It was a newer version! In this document it describes installing 18.06.1-ce yet the supported platforms document indicates that it should be 18.03.1-ce
    https://www.juniper.net/documentation/en_US/contrail19/topics/example/install-contrail-command.html

    1. thank you, I found this last night.

    2. why is contrail utilising a very old version on docker? This would limit the opportunity to ensure that security, capabilities and features are kept up to date?

    3. noted - but surely there is a plan to update to a more recent docker?

    4. This is really helpful if you were successful with the contrail installation.

    5. I'm about to reinstall from scratch. I think the problem lies with the online instructions and a hint I was provided some time ago. If you have a machines that have management network IP 10.0.1.0/24 and data network IP 10.0.2.0/24 then you need to have /etc/hosts
    for 10.0.1.1,3,4
    10.0.1.1 contrail1.mynetwork.local contrail1
    10.0.1.2 contrail2.mynetwork.local contrail2
    10.0.1.3 contrail3.mynetwork.local contrail3
    10.0.1.4 contrail4.mynetwork.local contrail4
    10.0.2.1 contrail1.mynetwork.local contrail1
    10.0.2.2 contrail2.mynetwork.local contrail2
    10.0.2.3 contrail3.mynetwork.local contrail3
    10.0.2.4 contrail4.mynetwork.local contrail4

    and etc/hosts for 10.0.1.2 (controller+compute node) should be
    10.0.2.2 contrail2.mynetwork.local contrail2
    10.0.1.2 contrail2.mynetwork.local contrail2
    10.0.1.1 contrail1.mynetwork.local contrail1
    10.0.1.3 contrail3.mynetwork.local contrail3
    10.0.1.4 contrail4.mynetwork.local contrail4
    10.0.2.1 contrail1.mynetwork.local contrail1
    10.0.2.3 contrail3.mynetwork.local contrail3
    10.0.2.4 contrail4.mynetwork.local contrail4

    and you need to install ssh keys from every machine to every other machine and then ssh from every machine to every other machine using all canonical forms
    root@10.0.1.1#ssh 10.0.1.1
    root@10.0.1.1#ssh contrail1
    root@10.0.1.1#ssh contrail1.mynetwork.local

    I was reminded that it appears that the installation utilises both contrail1.mynetwork.local and contrail1 when carrying out tasks using ssh. If you haven't done ssh contrail1.mynetwork..local and ssh contrail1 then the installation will fail as it does not get past the question asking if you want to accept the key.

    It would be great if the installation instructions were updated to reflect this.

    I'm about to do the install now, and I think it should work this time. I'll provide an update in an hour or two :)